Bug 122665 - patch to make <qandaset> generate a table of contents (TOC)
patch to make <qandaset> generate a table of contents (TOC)
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 14:47 EDT by Karsten Wade
Modified: 2009-07-07 00:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-12 15:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds TOC support for <qandaset> and <qandadiv> (405 bytes, patch)
2004-05-06 14:48 EDT, Karsten Wade
no flags Details | Diff

  None (edit)
Description Karsten Wade 2004-05-06 14:47:32 EDT
Description of problem:

I've been trying to get TOC support to work for a <qandaset>, and I
finally figured it out.

In addition to the two line patch to main-html.xsl (below), I had to
include this line in the XML:

    <qandaset defaultlabel="qanda" id="selinux-faq-list">
+     <?dbhtml toc="1"?>
      <qandaentry>

Here is what the patch entails; I will file an attachment following
this report.

  <xsl:param name="generate.toc">
  book toc
  article toc
  chapter nop
+ qandadiv toc
+ qandaset toc
  sect1 nop
  sect2 nop
  sect3 nop
  sect4 nop
  sect5 nop
  section nop
  </xsl:param>


Version-Release number of selected component (if applicable):

docbook-style-xsl-1.61.2-2.1
Comment 1 Karsten Wade 2004-05-06 14:48:51 EDT
Created attachment 100053 [details]
adds TOC support for <qandaset> and <qandadiv>
Comment 2 Tammy Fox 2004-08-12 15:51:18 EDT
Thanks Karsten. The patch has been applied to CVS (CVS version 1.3 for
the file main-html.xsl).
Comment 3 eric@christensenplace.us 2009-07-07 00:08:11 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.